| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Data Structures | Macros | Enumerations | Functions
xhdmi_menu.h File Reference

## Overview

This is the main header file for the Xilinx Menu implementation as used in the HDMI example design.

Software Initialization & Configuration

Interrupts

Virtual Memory

This driver supports Virtual Memory. The RTOS is responsible for calculating the correct device base address in Virtual Memory space.

Threads

This driver is not thread safe. Any needs for threads or thread mutual exclusion must be satisfied by the layer above this driver.

Asserts

Asserts are used within all Xilinx drivers to enforce constraints on argument values. Asserts can be turned off on a system-wide basis by defining at compile time, the NDEBUG identifier. By default, asserts are turned on and it is recommended that users leave asserts on during development.

Building the driver

    MODIFICATION HISTORY:

    Ver     Who  Date       Changes

    X.X     ..   DD-MM-YYYY ..
    1.0     mmo  24-04-2019 Initial version

Software Initialization & Configuration

Interrupts

Virtual Memory

This driver supports Virtual Memory. The RTOS is responsible for calculating the correct device base address in Virtual Memory space.

Threads

This driver is not thread safe. Any needs for threads or thread mutual exclusion must be satisfied by the layer above this driver.

Asserts

Asserts are used within all Xilinx drivers to enforce constraints on argument values. Asserts can be turned off on a system-wide basis by defining at compile time, the NDEBUG identifier. By default, asserts are turned on and it is recommended that users leave asserts on during development.

Building the driver

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    X.X   ..   DD-MM-YYYY ..
    1.00   GM     05/03/18 Initial release.

## Data Structures
struct | XHdmi_MenuConfig
| The HDMI menu configuration. More...
struct | XHdmi_Menu_ExDes_Ctrlr
| The HDMI ExDes Settings. More...
struct | XHdmi_Menu
| The HDMI menu instance data. More...

## Macros
#define | XHDMI_MENU_H_
| Prevent circular inclusions by using protection macros. More...

## Enumerations
enum | XHdmi_MenuType
| The HDMI menu types. More...

## Functions
void | XHdmi_MenuInitialize (XHdmi_Menu *InstancePtr, u32 UartBaseAddress, u8 *ForceIndependentPtr, u8 *SystemEventPtr, u8 *IsTxPresentPtr, u8 *IsRxPresentPtr, void *ChangeColorbarOutputCB, void *ConfigureTpgEnableInputCB, void *ToggleHdmiRxHpdCB)
| This function takes care of the HDMI menu initialization. More...
void | XHdmi_MenuProcess (XHdmi_Menu *InstancePtr, u8 TxBusy)
| This function is called to trigger the HDMI menu statemachine. More...
void | XHdmi_MenuReset (XHdmi_Menu *InstancePtr)
| This function resets the menu to the main menu. More...

## Macro Definition Documentation

#define XHDMI_MENU_H_

Prevent circular inclusions by using protection macros.

## Enumeration Type Documentation

enum XHdmi_MenuType

The HDMI menu types.

## Function Documentation

void XHdmi_MenuInitialize | ( | XHdmi_Menu * | InstancePtr,
|  | u32 | UartBaseAddress,
|  | u8 * | ForceIndependentPtr,
|  | u8 * | SystemEventPtr,
|  | u8 * | IsTxPresentPtr,
|  | u8 * | IsRxPresentPtr,
|  | void * | ChangeColorbarOutputCB,
|  | void * | ConfigureTpgEnableInputCB,
|  | void * | ToggleHdmiRxHpdCB
| ) |  |

This function takes care of the HDMI menu initialization.

Parameters

  InstancePtr | is a pointer to the XHdmi_Menu instance.

Returns
  None

References XHdmi_Menu::CurrentMenu, XHdmi_Menu::UartBaseAddress, and XHdmi_Menu::Value.

Referenced by main().

void XHdmi_MenuProcess | ( | XHdmi_Menu * | InstancePtr,
|  | u8 | TxBusy
| ) |  |

This function is called to trigger the HDMI menu statemachine.

Parameters

  InstancePtr | is a pointer to the XHdmi_Menu instance.
  input | is the value used for the next menu state decoder.

Returns
  None

References XHdmi_Menu::CurrentMenu, XHdmi_Menu::UartBaseAddress, and XHdmi_Menu::Value.

Referenced by main().

void XHdmi_MenuReset | ( | XHdmi_Menu * | InstancePtr | ) |

This function resets the menu to the main menu.

Parameters

  InstancePtr | is a pointer to the XHdmi_Menu instance.

Returns
  None

References XHdmi_Menu::CurrentMenu.